GDCM: gdcm::ImageChangePlanarConfiguration Class Reference

GDCM 3.2.5

Public Member Functions | Static Public Member Functions | List of all members
gdcm::ImageChangePlanarConfiguration Class Reference

ImageChangePlanarConfiguration class. More...

`#include <gdcmImageChangePlanarConfiguration.h>`

Inheritance diagram for gdcm::ImageChangePlanarConfiguration:
[legend]
Collaboration diagram for gdcm::ImageChangePlanarConfiguration:
[legend]

## Public Member Functions
| ImageChangePlanarConfiguration ()
| ~ImageChangePlanarConfiguration ()=default
bool | Change ()
| Change.
unsigned int | GetPlanarConfiguration () const
void | SetPlanarConfiguration (unsigned int pc)
| Set/Get requested PlanarConfigation.
Public Member Functions inherited from gdcm::ImageToImageFilter
| ImageToImageFilter ()
| ~ImageToImageFilter ()=default
Image & | GetInput ()
const Image & | GetOutput () const
| Get Output image.
Public Member Functions inherited from gdcm::PixmapToPixmapFilter
| PixmapToPixmapFilter ()
| ~PixmapToPixmapFilter ()=default
Pixmap & | GetInput ()
const Pixmap & | GetOutput () const
| Get Output image.
const Pixmap & | GetOutputAsPixmap () const
Public Member Functions inherited from gdcm::BitmapToBitmapFilter
| BitmapToBitmapFilter ()
| ~BitmapToBitmapFilter ()=default
const Bitmap & | GetOutput () const
| Get Output image.
const Bitmap & | GetOutputAsBitmap () const
void | SetInput (const Bitmap &image)
| Set input image.

## Static Public Member Functions
template<typename T>
static size_t | RGBPixelsToRGBPlanes (T *r, T *g, T *b, const T *rgb, size_t s)
template<typename T>
static size_t | RGBPlanesToRGBPixels (T *out, const T *r, const T *g, const T *b, size_t s)

## Additional Inherited Members
Protected Attributes inherited from gdcm::BitmapToBitmapFilter
SmartPointer< Bitmap > | Input
SmartPointer< Bitmap > | Output

## Detailed Description

ImageChangePlanarConfiguration class.

Class to change the Planar configuration of an input DICOM By default it will change into the more usual representation: PlanarConfiguration = 0

## Constructor & Destructor Documentation

## ◆ ImageChangePlanarConfiguration()

gdcm::ImageChangePlanarConfiguration::ImageChangePlanarConfiguration | ( |  | ) |
| inline

## ◆ ~ImageChangePlanarConfiguration()

gdcm::ImageChangePlanarConfiguration::~ImageChangePlanarConfiguration | ( |  | ) |
| default

## Member Function Documentation

## ◆ Change()

bool gdcm::ImageChangePlanarConfiguration::Change | ( |  | ) |

Change.

## ◆ GetPlanarConfiguration()

unsigned int gdcm::ImageChangePlanarConfiguration::GetPlanarConfiguration | ( |  | ) | const
| inline

## ◆ RGBPixelsToRGBPlanes()

template<typename T>

size_t gdcm::ImageChangePlanarConfiguration::RGBPixelsToRGBPlanes | ( | T * | r,
|  | T * | g,
|  | T * | b,
|  | const T * | rgb,
|  | size_t | s )
| static

Convert a regular RGB pixel image (R,G,B,R,G,B...) into a planar R,G,B image (R,R..,G,G...B,B)

Warning
  this works on a frame basis, you need to loop over all frames in multiple frames image to apply this function

References gdcm_assert.

## ◆ RGBPlanesToRGBPixels()

template<typename T>

size_t gdcm::ImageChangePlanarConfiguration::RGBPlanesToRGBPixels | ( | T * | out,
|  | const T * | r,
|  | const T * | g,
|  | const T * | b,
|  | size_t | s )
| static

s is the size of one plane (r,g or b). Thus the output buffer needs to be at least 3*s bytes long s can be seen as the number of RGB pixels in the output

References gdcm_assert.

## ◆ SetPlanarConfiguration()

void gdcm::ImageChangePlanarConfiguration::SetPlanarConfiguration | ( | unsigned int | pc | ) |
| inline

Set/Get requested PlanarConfigation.

The documentation for this class was generated from the following file:

- gdcmImageChangePlanarConfiguration.h